大家是如何解决Archlinux 或者Manjaro 安装包冲突的问题


#1

最近在Manjaro系统上需要安装一些软件,发现很多软件都存在安装包冲突的问题,提示的错误大概这样:error: failed to commit transaction (conflicting files).冲突的包还挺多的.这个问题经常遇到,很蛋疼,不知道大家是如何解决这个问题的.确实恼火,软件都安装不上了.


#2

为什么冲突? 我用了很久了,从来没有遇到过


#3

我也是使用很久了,现在manjaro是我的主力系统,每天都用.但是这个问题确实经常出现,令人恼火.其实就是版本依赖冲突的问题.


#4

arch 里很少遇到. 除了 python pip 安装包的时候要注意下.


#5

楼主是python的包遇到冲突吗?如果是,解决办法是:

1.少用pip安装包。只要源里面有的,就从源安装。

2.少用AUR里面的包。现在的AUR年久失修了,不比前几年,因而如果community或extra里面有的,就不要用AUR里的。


#6

同意楼上。

还有,推荐换成 Archlinux, 并没有感觉 Manjaro 在稳定性上有什么提高(


#7

有道理.很多冲突都和python有关.


#8

python包我都放virtualenv里